﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UltraGridHierarchicalDemo
{
    public class ViewModel
    {
        public List<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new List<SampleData>();

            for(int i=0; i<10; i++)
            {
                SampleData sd = new SampleData()
                {
                    ID = i,
                    Label = "Item " + i.ToString()
                };

                sd.Children = new List<ChildData>();

                for(int j=0; j<5; j++)
                {
                    sd.Children.Add(new ChildData() { ChildID = j, ChildLabel = "Child " + j.ToString() });
                }

                Data.Add(sd);
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }
        public List<ChildData> Children { get; set; }
    }

    public class ChildData
    {
        public int ChildID { get; set; }
        public string ChildLabel { get; set; }
    }
}
